Filters
LEED Brakes BFC1007-305X
Manual Kit with 2" Drop Spindles Drilled Rotors and Black Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC0008-W405X
Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC0025-Y307X
Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes BFC1007-3A1X
Manual Kit with 2" Drop Spindles Drilled Rotors and Black Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes BFC1007-3A3X
Manual Kit with 2" Drop Spindles Drilled Rotors and Black Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC0025SMX
Spindle Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC1007SMX
Spindle Kit with 2" Drop Spindles Drilled Rotors and Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC2001-8405X
Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes AFXMD
Includes spindles brackets splash shields bearings and hardware; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC2001-C05X
Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes FC1003-305
Manual 2" Drop Spindle Kit with Plain Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC2001SMX
Spindle Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.


